Skip to main content
GET
/
public
/
v2
/
recurring
/
invoices
List RecurringInvoice records
curl --request GET \
  --url https://api.dualentry.com/public/v2/recurring/invoices/ \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "internal_id": 123,
      "number": 123,
      "name": "<string>",
      "memo": "<string>",
      "date": "2023-12-25",
      "company_id": 123,
      "company_name": "<string>",
      "company_currency": "<string>",
      "record_payload": "<unknown>",
      "rrule": "<string>",
      "next_occurrence": "2023-11-07T05:31:56Z",
      "last_generated": "2023-11-07T05:31:56Z",
      "records": [
        {
          "internal_id": 123,
          "number": 123,
          "date": "2023-12-25",
          "amount": "<string>"
        }
      ],
      "created_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "updated_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
company_id
integer[] | null
number
integer[] | null
recurring_type
enum<string>[] | null
Available options:
automatic,
reminder
ordering
string | null
default:id
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicRecurringInvoiceSchemaOut · object[]
required
count
integer
required
Last modified on May 28, 2026